Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1055145 - nodejs-less should ship a pure JS js-less subpackage
Summary: nodejs-less should ship a pure JS js-less subpackage
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-less
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WebAssets-NodeJSPureJS
TreeView+ depends on / blocked
 
Reported: 2014-01-19 06:27 UTC by T.C. Hollingsworth
Modified: 2016-07-19 10:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:53:58 UTC
Type: Bug


Attachments (Terms of Use)

Description T.C. Hollingsworth 2014-01-19 06:27:01 UTC
nodejs-less needs to compile and minify a browser JS version for use by web applications.

Miro Hroncok reports that this is neccessary for OctoPrint and there are probably other consumers too.

Missing devDependencies from the distribution required to compile and minify in %prep:
        "grunt-contrib-clean": "~0.5.0", 
        "grunt-contrib-concat": "~0.3.0", 
        "grunt-contrib-connect": "~0.3.0", 
        "grunt-contrib-jshint": "~0.7.2", 
        "grunt-contrib-uglify": "~0.2.7", 
        "http-server": "~0.5.5", 
        "grunt-shell": "~0.3.1", 
        "time-grunt": "~0.1.1", 
        "matchdep": "~0.1.2", 
        "grunt-contrib-jasmine": "~0.5.2", 

99% of these are jQuery build dependencies so they'll get done soon enough anyway.

[Stephen, feel free to ignore this for now and we can take care of it after jquery gets in when it will be easier.  It's kind of low priority for now; I just didn't want it to get lost with all the other stuff.]

Comment 1 Jaroslav Reznik 2015-03-03 15:24:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 10:53:58 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.